aboutsummaryrefslogtreecommitdiffstats
path: root/qst.sh
diff options
context:
space:
mode:
Diffstat (limited to 'qst.sh')
-rwxr-xr-xqst.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/qst.sh b/qst.sh
new file mode 100755
index 0000000..eadb6a4
--- /dev/null
+++ b/qst.sh
@@ -0,0 +1,34 @@
+#!/bin/sh
+set -uex
+
+SUBDIR=""
+PRIVATE=0
+
+VERBOSITY=0
+
+# apars.add_argument('-M', '--multibuild',
+# help='Build the specified multibuild package')
+# apars.add_argument('-v', '--verbose', action='count',
+# help="Print quilt's stdout.")
+while getopts ":M:v" opt; do
+ case $opt in
+ M)
+ BUILD="${OPTARG}"
+ ;;
+ v)
+ ((VERBOSITY++))
+ ;;
+ \?)
+ echo "Invalid option: -$OPTARG"
+ exit 1
+ ;;
+ :)
+ echo "Option -$OPTARG requires an argument."
+ exit 1
+ ;;
+ esac
+done
+
+shift $(($OPTIND - 1))
+REMAINDER=($@)
+echo "Length of the remainder is ${#REMAINDER}"